# GET Venues by ID

{% hint style="success" %}
You can also use the `metadata` include to enrich the response with detailed information about the track, like the direction and length. The type reference for these details are described in [metadata-and-per-season-data-type-reference](https://docs.sportmonks.com/v3/motorsport-api/welcome/metadata-and-per-season-data-type-reference "mention").
{% endhint %}

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/motorsport/venues/VENUE_ID
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
    "data": {
        "id": 343582,
        "country_id": 75285,
        "city_id": 58164,
        "name": "Circuit de Monaco",
        "address": null,
        "zipcode": null,
        "latitude": "43.7347",
        "longitude": "7.4206",
        "capacity": 37000,
        "image_path": "https://cdn.sportmonks.com/images/core/venues/30/343582.png",
        "city_name": null,
        "surface": "asphalt",
        "national_team": false
    },
```

{% endtab %}

{% tab title="Field Description" %}

| Field           | Description                      | Type    |
| --------------- | -------------------------------- | ------- |
| `id`            | The unique id of the venue       | integer |
| `country_id`    | The country the venue is in      | integer |
| `name`          | The name of the venue/track      | string  |
| `address`       | The address of the venue         | string  |
| `zipcode`       | The zipcode of the venue         | string  |
| `latitude`      | The latitude of the venue        | string  |
| `longitude`     | The longitude of the venue       | string  |
| `capacity`      | The capacity of the venue        | integer |
| `image_path`    | The track layout image URL       | string  |
| `city_name`     | The name of city the venue is in | string  |
| `surface`       | The surface of the venue         | string  |
| `national_team` | Not used in the Motorsport API   | boolean |
| {% endtab %}    |                                  |         |
| {% endtabs %}   |                                  |         |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the base entity</td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `2` nested includes on this endpoint

#### Include options

`country`  `fixtures` `city` `metadata`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the Venue endpoints are:

* [Venue](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/venue)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/venues/343575?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/venues/343575?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/motorsport/venues/343575?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/motorsport/venues/343575?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/motorsport/venues/343575?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/motorsport/venues/343575?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}
